Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576294 - [abrt] gnome-software: gs_app_list_index(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gs_app_list_index(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:77c0b0324da81b62163766becf4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:39 UTC by Harald Hoyer
Modified: 2019-11-27 18:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:58:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.38 KB, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: cgroup (341 bytes, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: core_backtrace (5.97 KB, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: cpuinfo (1.38 KB, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: dso_list (19.59 KB, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: environ (3.78 KB, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: maps (91.98 KB, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: mountinfo (3.88 KB, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: open_fds (4.82 KB, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details
File: var_log_messages (4.67 KB, text/plain)
2018-05-09 07:39 UTC, Harald Hoyer
no flags Details

Description Harald Hoyer 2018-05-09 07:39:31 UTC
Version-Release number of selected component:
gnome-software-3.28.1-1.fc29

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_app_list_index
executable:     /usr/bin/gnome-software
journald_cursor: s=864262365714461b8b8f3b92cc8e35b1;i=83a1;b=f97c06b4906a4d3eb3b1823375e5a06b;m=2306526ed0;t=56bc0288c7577;x=9a17b71973117a72
kernel:         4.17.0-0.rc3.git1.2.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 gs_app_list_index at ../lib/gs-app-list.c:263
 #1 _reboot_failed_cb at ../src/gs-updates-page.c:683
 #2 g_task_return_now at gtask.c:1148
 #3 g_task_return at gtask.c:1206
 #4 g_dbus_connection_call_done at gdbusconnection.c:5722
 #5 g_task_return_now at gtask.c:1148
 #6 complete_in_idle_cb at gtask.c:1162
 #11 g_main_context_iteration at gmain.c:3964
 #12 g_application_run at gapplication.c:2470

Potential duplicate: bug 1507264

Comment 1 Harald Hoyer 2018-05-09 07:39:37 UTC
Created attachment 1433558 [details]
File: backtrace

Comment 2 Harald Hoyer 2018-05-09 07:39:38 UTC
Created attachment 1433559 [details]
File: cgroup

Comment 3 Harald Hoyer 2018-05-09 07:39:40 UTC
Created attachment 1433560 [details]
File: core_backtrace

Comment 4 Harald Hoyer 2018-05-09 07:39:41 UTC
Created attachment 1433561 [details]
File: cpuinfo

Comment 5 Harald Hoyer 2018-05-09 07:39:42 UTC
Created attachment 1433562 [details]
File: dso_list

Comment 6 Harald Hoyer 2018-05-09 07:39:44 UTC
Created attachment 1433563 [details]
File: environ

Comment 7 Harald Hoyer 2018-05-09 07:39:45 UTC
Created attachment 1433564 [details]
File: exploitable

Comment 8 Harald Hoyer 2018-05-09 07:39:46 UTC
Created attachment 1433565 [details]
File: limits

Comment 9 Harald Hoyer 2018-05-09 07:39:48 UTC
Created attachment 1433566 [details]
File: maps

Comment 10 Harald Hoyer 2018-05-09 07:39:50 UTC
Created attachment 1433567 [details]
File: mountinfo

Comment 11 Harald Hoyer 2018-05-09 07:39:51 UTC
Created attachment 1433568 [details]
File: open_fds

Comment 12 Harald Hoyer 2018-05-09 07:39:53 UTC
Created attachment 1433569 [details]
File: proc_pid_status

Comment 13 Harald Hoyer 2018-05-09 07:39:54 UTC
Created attachment 1433570 [details]
File: var_log_messages

Comment 14 Jan Kurik 2018-08-14 10:03:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 15 Ben Cotton 2019-10-31 20:54:35 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-11-27 18:58:57 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.